I may be having a similar problem;

When I try to open the UbuntuCodeofConduct-2.0.txt.asc I get an error message telling me that

"There is no application installed for PGP/MIME-encrypted...